Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IBoidTrajectory

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IParticle
                      igeo.IBoid
                          igeo.IBoidTrajectory

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IBoidI, IDynamics, IParameter, IParticleI, ISubobject, ITrajectoryI, ITransformable, IVal, IVecI, IVecOp

    public class IBoidTrajectory

extends IBoid
implements ITrajectoryI

Particle agent with trajectory curve.

Author:
  Satoru Sugihara

Field Summary
`ITrajectoryGeo` | `trajectory`

Fields inherited from class igeo.IParticle
`frc, particle, vel`

Fields inherited from class igeo.IPointAgent
`point, pos, tracker`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IBoidTrajectory()`
`IBoidTrajectory(double x, double y, double z)`
`IBoidTrajectory(double x, double y, double z, double vx, double vy, double vz)`
`IBoidTrajectory(IGeometry... geometries)`
`IBoidTrajectory(IParticle p)`
`IBoidTrajectory(IParticleGeo ptcl)`
`IBoidTrajectory(IParticleGeo ptcl, IVecI vel)`
`IBoidTrajectory(IParticle p, IVecI vel)`
`IBoidTrajectory(IVec p)`
`IBoidTrajectory(IVecI p)`
`IBoidTrajectory(IVecI geometryOrigin, IGeometry... geometries)`
`IBoidTrajectory(IVecI p, IVecI vel)`
`IBoidTrajectory(IVecI geometryOrigin, IVecI geometryOrientation, IGeometry... geometries)`
`IBoidTrajectory(IVec p, IVec vel)`

Method Summary
`IBoidTrajectory` | `add(double x, double y, double z)`
`IBoidTrajectory` | `add(double f, IVecI v)` scale add
`IBoidTrajectory` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoidTrajectory` | `add(IDoubleI f, IVecI v)` scale add
`IBoidTrajectory` | `add(IVecI v)`
`IBoidTrajectory` | `add(IVecI v, double f)` scale add
`IBoidTrajectory` | `add(IVecI v, IDoubleI f)` scale add
`IBoidTrajectory` | `addCP(IVecI pt)` get trajectory curve
`IBoidTrajectory` | `addForce(double fx, double fy, double fz)` alias of push
`IBoidTrajectory` | `addForce(IVecI f)` alias of push
`IBoidTrajectory` | `ali(double ratio, double dist)`
`IBoidTrajectory` | `aliDist(double dist)`
`IBoidTrajectory` | `alignment(double ratio, double dist)`
`IBoidTrajectory` | `alignmentDist(double dist)`
`IBoidTrajectory` | `alignmentLimit(double limit)`
`IBoidTrajectory` | `alignmentRatio(double ratio)`
`IBoidTrajectory` | `aliLimit(double limit)`
`IBoidTrajectory` | `aliRatio(double ratio)`
`IBoidTrajectory` | `attach(IGeometry... geometries)` attach geometry object to agent to track its location.
`IBoidTrajectory` | `attach(IVecI geometryOrigin, IGeometry... geometries)` attach geometry object to agent to track its location.
`IBoidTrajectory` | `attach(IVecI geometryOrigin, IVecI geometryOrientation, IGeometry... geometries)` attach geometry object to agent to track its location.
`IBoidTrajectory` | `clr(double dgray)`
`IBoidTrajectory` | `clr(double dgray, double dalpha)`
`IBoidTrajectory` | `clr(double dr, double dg, double db)`
`IBoidTrajectory` | `clr(double dr, double dg, double db, double da)`
`IBoidTrajectory` | `clr(float fgray)`
`IBoidTrajectory` | `clr(float fgray, float falpha)`
`IBoidTrajectory` | `clr(float fr, float fg, float fb)`
`IBoidTrajectory` | `clr(float fr, float fg, float fb, float fa)`
`IBoidTrajectory` | `clr(IColor c)`
`IBoidTrajectory` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IBoidTrajectory` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IBoidTrajectory` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IBoidTrajectory` | `clr(int gray)`
`IBoidTrajectory` | `clr(int gray, int alpha)`
`IBoidTrajectory` | `clr(int r, int g, int b)`
`IBoidTrajectory` | `clr(int r, int g, int b, int a)`
`IBoidTrajectory` | `coh(double ratio, double dist)`
`IBoidTrajectory` | `cohDist(double dist)` IBoidI API
`IBoidTrajectory` | `cohesion(double ratio, double dist)`
`IBoidTrajectory` | `cohesionDist(double dist)`
`IBoidTrajectory` | `cohesionLimit(double limit)`
`IBoidTrajectory` | `cohesionRatio(double ratio)`
`IBoidTrajectory` | `cohLimit(double limit)`
`IBoidTrajectory` | `cohRatio(double ratio)`
`IBoidTrajectory` | `cp()` alias of dup()
`IBoidTrajectory` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IBoidTrajectory` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IBoidTrajectory` | `cp(IVecI v)` cp() is alias of dup().add()
`ICurve` | `curve()` get trajectory curve
`IBoidTrajectory` | `decay(double d)`
`int` | `deg()`
`IBoidTrajectory` | `deg(int newDegree)`
`void` | `del()` delete agent and stop it by removing it from dynamics server
`void` | `del(boolean deleteTrajectory)` stop agent with option of deleting/keeping the geometry the agent owns
`IBoidTrajectory` | `div(double v)`
`IBoidTrajectory` | `div(IDoubleI v)`
`IBoidTrajectory` | `dup()` duplicate object
`IBoidTrajectory` | `fix()` IParticleI API
`IBoidTrajectory` | `flip()` alias of neg()
`IBoidTrajectory` | `force(IVecI v)` set force
`IBoidTrajectory` | `frc(IVecI v)` set force
`IBoidTrajectory` | `fric(double friction)` set friction
`IBoidTrajectory` | `friction(double friction)` set friction
`IBoidTrajectory` | `hide()`
`IBoidTrajectory` | `hideGeometry()` hide attached geometry
`IBoidTrajectory` | `hidePoint()`
`IBoidTrajectory` | `hideTrajectory()`
`IBoidTrajectory` | `hsb(double h, double s, double b)`
`IBoidTrajectory` | `hsb(double h, double s, double b, double a)`
`IBoidTrajectory` | `hsb(float h, float s, float b)`
`IBoidTrajectory` | `hsb(float h, float s, float b, float a)`
`void` | `initTrajectory()`
`IBoidTrajectory` | `layer(ILayer l)` Set layer by ILayer object
`IBoidTrajectory` | `len(double l)` setting length
`IBoidTrajectory` | `len(IDoubleI l)` setting length
`IBoidTrajectory` | `mass(double mass)` set mass
`IBoidTrajectory` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
`IBoidTrajectory` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
`IBoidTrajectory` | `mirror(IVecI planeDir)` alias of ref
`IBoidTrajectory` | `mirror(IVecI center, IVecI planeDir)` alias of ref
`IBoidTrajectory` | `mul(double v)`
`IBoidTrajectory` | `mul(IDoubleI v)`
`IBoidTrajectory` | `mv(double x, double y, double z)` mv() is alias of add()
`IBoidTrajectory` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IBoidTrajectory` | `mv(IVecI v)` mv() is alias of add()
`IBoidTrajectory` | `name(java.lang.String nm)` methods of IObject
`IBoidTrajectory` | `neg()`
`IBoidTrajectory` | `pos(IVecI v)` set position
`IBoidTrajectory` | `position(IVecI v)` set position
`IBoidTrajectory` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
`IBoidTrajectory` | `pull(IVecI f)` equivalent to push(f.dup().neg())
`IBoidTrajectory` | `push(double fx, double fy, double fz)` adding force to particle
`IBoidTrajectory` | `push(IVecI f)` adding force to particle
`IBoidTrajectory` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IBoidTrajectory` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IBoidTrajectory` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IBoidTrajectory` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IBoidTrajectory` | `removeTarget(int i)` remove target object.
`IBoidTrajectory` | `removeTarget(IObject obj)` remove target object.
`IBoidTrajectory` | `reset()` setting force zero
`IBoidTrajectory` | `resetForce()` alias of reset
`IBoidTrajectory` | `rev()` alias of neg()
`IBoidTrajectory` | `rot(double angle)` rotation on XY plane
`IBoidTrajectory` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IBoidTrajectory` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IBoidTrajectory` | `rot(IDoubleI angle)` rotation on XY plane
`IBoidTrajectory` | `rot(IVecI axis, double angle)` rotation around axis vector
`IBoidTrajectory` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IBoidTrajectory` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IBoidTrajectory` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IBoidTrajectory` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
`IBoidTrajectory` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IBoidTrajectory` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
`IBoidTrajectory` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IBoidTrajectory` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
`IBoidTrajectory` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
`IBoidTrajectory` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IBoidTrajectory` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
`IBoidTrajectory` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
`IBoidTrajectory` | `scale(double f)` alias of mul
`IBoidTrajectory` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IBoidTrajectory` | `scale(IDoubleI f)` alias of mul
`IBoidTrajectory` | `scale(IVecI center, double f)` scale from a center
`IBoidTrajectory` | `scale(IVecI center, IDoubleI f)` scale from a center
`IBoidTrajectory` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IBoidTrajectory` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IBoidTrajectory` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IBoidTrajectory` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IBoidTrajectory` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IBoidTrajectory` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IBoidTrajectory` | `sep(double ratio, double dist)`
`IBoidTrajectory` | `separation(double ratio, double dist)`
`IBoidTrajectory` | `separationDist(double dist)`
`IBoidTrajectory` | `separationLimit(double limit)`
`IBoidTrajectory` | `separationRatio(double ratio)`
`IBoidTrajectory` | `sepDist(double dist)`
`IBoidTrajectory` | `sepLimit(double limit)`
`IBoidTrajectory` | `sepRatio(double ratio)`
`IBoidTrajectory` | `set(double x, double y, double z)`
`IBoidTrajectory` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoidTrajectory` | `set(IVecI v)`
`IBoidTrajectory` | `setColor(double dgray)`
`IBoidTrajectory` | `setColor(double dgray, double dalpha)`
`IBoidTrajectory` | `setColor(double dr, double dg, double db)`
`IBoidTrajectory` | `setColor(double dr, double dg, double db, double da)`
`IBoidTrajectory` | `setColor(float fgray)`
`IBoidTrajectory` | `setColor(float fgray, float falpha)`
`IBoidTrajectory` | `setColor(float fr, float fg, float fb)`
`IBoidTrajectory` | `setColor(float fr, float fg, float fb, float fa)`
`IBoidTrajectory` | `setColor(IColor c)`
`IBoidTrajectory` | `setColor(IColor c, double alpha)`
`IBoidTrajectory` | `setColor(IColor c, float alpha)`
`IBoidTrajectory` | `setColor(IColor c, int alpha)`
`IBoidTrajectory` | `setColor(int gray)`
`IBoidTrajectory` | `setColor(int gray, int alpha)`
`IBoidTrajectory` | `setColor(int r, int g, int b)`
`IBoidTrajectory` | `setColor(int r, int g, int b, int a)`
`IBoidTrajectory` | `setHSBColor(double h, double s, double b)`
`IBoidTrajectory` | `setHSBColor(double h, double s, double b, double a)`
`IBoidTrajectory` | `setHSBColor(float h, float s, float b)`
`IBoidTrajectory` | `setHSBColor(float h, float s, float b, float a)`
`IBoidTrajectory` | `setSize(double sz)` methods of IPoint
`IBoidTrajectory` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IBoidTrajectory` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IBoidTrajectory` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IBoidTrajectory` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IBoidTrajectory` | `shearXY(double sxy, double syx)` shear operation on XY
`IBoidTrajectory` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IBoidTrajectory` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IBoidTrajectory` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IBoidTrajectory` | `shearYZ(double syz, double szy)` shear operation on YZ
`IBoidTrajectory` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IBoidTrajectory` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IBoidTrajectory` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IBoidTrajectory` | `shearZX(double szx, double sxz)` shear operation on ZX
`IBoidTrajectory` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IBoidTrajectory` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IBoidTrajectory` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IBoidTrajectory` | `show()`
`IBoidTrajectory` | `showGeometry()` show attached geometry
`IBoidTrajectory` | `showPoint()`
`IBoidTrajectory` | `showTrajectory()`
`IBoidTrajectory` | `size(double sz)`
`IBoidTrajectory` | `sub(double x, double y, double z)`
`IBoidTrajectory` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IBoidTrajectory` | `sub(IVecI v)`
`IBoidTrajectory` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`ICurve` | `trajectory()` alias of curve()
`IBoidTrajectory` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IBoidTrajectory` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IBoidTrajectory` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IBoidTrajectory` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IBoidTrajectory` | `translate(double x, double y, double z)` alias of add()
`IBoidTrajectory` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IBoidTrajectory` | `translate(IVecI v)` alias of add()
`IBoidTrajectory` | `unfix()` unfix movement
`IBoidTrajectory` | `unit()` unitize
`IBoidTrajectory` | `vel(IVecI v)` set velocity
`IBoidTrajectory` | `velocity(IVecI v)` set velocity
`IBoidTrajectory` | `weight(double w)`
`IBoidTrajectory` | `weight(float w)`
`IBoidTrajectory` | `x(double vx)` methods of IVecI
`IBoidTrajectory` | `x(IDoubleI vx)` setting x component
`IBoidTrajectory` | `y(double vy)` setting y component
`IBoidTrajectory` | `y(IDoubleI vy)` setting y component
`IBoidTrajectory` | `z(double vz)` setting z component
`IBoidTrajectory` | `z(IDoubleI vz)` setting z component
`IBoidTrajectory` | `zero()` setting all zero

Methods inherited from class igeo.IBoid
`aliDist, alignmentDist, alignmentLimit, alignmentRatio, aliLimit, aliRatio, boid, cohDist, cohesionDist, cohesionLimit, cohesionRatio, cohLimit, cohRatio, isTarget, isTargetClass, param, parameter, separationDist, separationLimit, separationRatio, sepDist, sepLimit, sepRatio, skipUpdateOnce, target, target, targetClass, targetClass, x, x, y, y, z`

Methods inherited from class igeo.IParticle
`acc, acceleration, decay, fixed, force, frc, fric, friction, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, mass, pos, position, skipUpdateOnce, vel, velocity`

Methods inherited from class igeo.IPointAgent
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, brep, brep, brepNum, breps, cross, cross, curve, curveNum, curves, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, nml, nml, nml, nml, point, point, pointNum, points, size, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IParticleI
`acc, acceleration, decay, fixed, force, frc, fric, friction, mass, pos, position, skipUpdateOnce, target, targetNum, targets, updateTarget, vel, velocity`

Methods inherited from interface igeo.IVecI
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

Field Detail

### trajectory

    public ITrajectoryGeo trajectory

Constructor Detail

### IBoidTrajectory

    public IBoidTrajectory()

### IBoidTrajectory

    public IBoidTrajectory(double x,
                           double y,
                           double z)

### IBoidTrajectory

    public IBoidTrajectory(IVec p)

### IBoidTrajectory

    public IBoidTrajectory(IVecI p)

### IBoidTrajectory

    public IBoidTrajectory(IParticleGeo ptcl)

### IBoidTrajectory

    public IBoidTrajectory(IParticle p)

### IBoidTrajectory

    public IBoidTrajectory(double x,
                           double y,
                           double z,
                           double vx,
                           double vy,
                           double vz)

### IBoidTrajectory

    public IBoidTrajectory(IVec p,
                           IVec vel)

### IBoidTrajectory

    public IBoidTrajectory(IVecI p,
                           IVecI vel)

### IBoidTrajectory

    public IBoidTrajectory(IParticleGeo ptcl,
                           IVecI vel)

### IBoidTrajectory

    public IBoidTrajectory(IParticle p,
                           IVecI vel)

### IBoidTrajectory

    public IBoidTrajectory(IGeometry... geometries)

### IBoidTrajectory

    public IBoidTrajectory(IVecI geometryOrigin,
                           IGeometry... geometries)

### IBoidTrajectory

    public IBoidTrajectory(IVecI geometryOrigin,
                           IVecI geometryOrientation,
                           IGeometry... geometries)

Method Detail

### initTrajectory

    public void initTrajectory()

### deg

    public int deg()

### deg

    public IBoidTrajectory deg(int newDegree)

### curve

    public ICurve curve()

  get trajectory curve

  Specified by:
    `curve` in interface `ITrajectoryI`
  Overrides:
    `curve` in class `IPointAgent`

### trajectory

    public ICurve trajectory()

  alias of curve()

  Specified by:
    `trajectory` in interface `ITrajectoryI`

### addCP

    public IBoidTrajectory addCP(IVecI pt)

  get trajectory curve

  Specified by:
    `addCP` in interface `ITrajectoryI`

### cohDist

    public IBoidTrajectory cohDist(double dist)

  IBoidI API

  Specified by:
    `cohDist` in interface `IBoidI`
  Overrides:
    `cohDist` in class `IBoid`

### cohesionDist

    public IBoidTrajectory cohesionDist(double dist)

  Specified by:
    `cohesionDist` in interface `IBoidI`
  Overrides:
    `cohesionDist` in class `IBoid`

### cohRatio

    public IBoidTrajectory cohRatio(double ratio)

  Specified by:
    `cohRatio` in interface `IBoidI`
  Overrides:
    `cohRatio` in class `IBoid`

### cohesionRatio

    public IBoidTrajectory cohesionRatio(double ratio)

  Specified by:
    `cohesionRatio` in interface `IBoidI`
  Overrides:
    `cohesionRatio` in class `IBoid`

### cohLimit

    public IBoidTrajectory cohLimit(double limit)

  Specified by:
    `cohLimit` in interface `IBoidI`
  Overrides:
    `cohLimit` in class `IBoid`

### cohesionLimit

    public IBoidTrajectory cohesionLimit(double limit)

  Specified by:
    `cohesionLimit` in interface `IBoidI`
  Overrides:
    `cohesionLimit` in class `IBoid`

### coh

    public IBoidTrajectory coh(double ratio,
                               double dist)

  Specified by:
    `coh` in interface `IBoidI`
  Overrides:
    `coh` in class `IBoid`

### cohesion

    public IBoidTrajectory cohesion(double ratio,
                                    double dist)

  Specified by:
    `cohesion` in interface `IBoidI`
  Overrides:
    `cohesion` in class `IBoid`

### sepDist

    public IBoidTrajectory sepDist(double dist)

  Specified by:
    `sepDist` in interface `IBoidI`
  Overrides:
    `sepDist` in class `IBoid`

### separationDist

    public IBoidTrajectory separationDist(double dist)

  Specified by:
    `separationDist` in interface `IBoidI`
  Overrides:
    `separationDist` in class `IBoid`

### sepRatio

    public IBoidTrajectory sepRatio(double ratio)

  Specified by:
    `sepRatio` in interface `IBoidI`
  Overrides:
    `sepRatio` in class `IBoid`

### separationRatio

    public IBoidTrajectory separationRatio(double ratio)

  Specified by:
    `separationRatio` in interface `IBoidI`
  Overrides:
    `separationRatio` in class `IBoid`

### sepLimit

    public IBoidTrajectory sepLimit(double limit)

  Specified by:
    `sepLimit` in interface `IBoidI`
  Overrides:
    `sepLimit` in class `IBoid`

### separationLimit

    public IBoidTrajectory separationLimit(double limit)

  Specified by:
    `separationLimit` in interface `IBoidI`
  Overrides:
    `separationLimit` in class `IBoid`

### sep

    public IBoidTrajectory sep(double ratio,
                               double dist)

  Specified by:
    `sep` in interface `IBoidI`
  Overrides:
    `sep` in class `IBoid`

### separation

    public IBoidTrajectory separation(double ratio,
                                      double dist)

  Specified by:
    `separation` in interface `IBoidI`
  Overrides:
    `separation` in class `IBoid`

### aliDist

    public IBoidTrajectory aliDist(double dist)

  Specified by:
    `aliDist` in interface `IBoidI`
  Overrides:
    `aliDist` in class `IBoid`

### alignmentDist

    public IBoidTrajectory alignmentDist(double dist)

  Specified by:
    `alignmentDist` in interface `IBoidI`
  Overrides:
    `alignmentDist` in class `IBoid`

### aliRatio

    public IBoidTrajectory aliRatio(double ratio)

  Specified by:
    `aliRatio` in interface `IBoidI`
  Overrides:
    `aliRatio` in class `IBoid`

### alignmentRatio

    public IBoidTrajectory alignmentRatio(double ratio)

  Specified by:
    `alignmentRatio` in interface `IBoidI`
  Overrides:
    `alignmentRatio` in class `IBoid`

### aliLimit

    public IBoidTrajectory aliLimit(double limit)

  Specified by:
    `aliLimit` in interface `IBoidI`
  Overrides:
    `aliLimit` in class `IBoid`

### alignmentLimit

    public IBoidTrajectory alignmentLimit(double limit)

  Specified by:
    `alignmentLimit` in interface `IBoidI`
  Overrides:
    `alignmentLimit` in class `IBoid`

### ali

    public IBoidTrajectory ali(double ratio,
                               double dist)

  Specified by:
    `ali` in interface `IBoidI`
  Overrides:
    `ali` in class `IBoid`

### alignment

    public IBoidTrajectory alignment(double ratio,
                                     double dist)

  Specified by:
    `alignment` in interface `IBoidI`
  Overrides:
    `alignment` in class `IBoid`

### fix

    public IBoidTrajectory fix()

  IParticleI API

  Specified by:
    `fix` in interface `IParticleI`
  Overrides:
    `fix` in class `IBoid`

### unfix

    public IBoidTrajectory unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`
  Overrides:
    `unfix` in class `IBoid`

### mass

    public IBoidTrajectory mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`
  Overrides:
    `mass` in class `IBoid`

### position

    public IBoidTrajectory position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IBoid`

### pos

    public IBoidTrajectory pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IBoid`

### velocity

    public IBoidTrajectory velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`
  Overrides:
    `velocity` in class `IBoid`

### vel

    public IBoidTrajectory vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`
  Overrides:
    `vel` in class `IBoid`

### force

    public IBoidTrajectory force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`
  Overrides:
    `force` in class `IBoid`

### frc

    public IBoidTrajectory frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`
  Overrides:
    `frc` in class `IBoid`

### friction

    public IBoidTrajectory friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`
  Overrides:
    `friction` in class `IBoid`

### fric

    public IBoidTrajectory fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`
  Overrides:
    `fric` in class `IBoid`

### decay

    public IBoidTrajectory decay(double d)

  Specified by:
    `decay` in interface `IParticleI`
  Overrides:
    `decay` in class `IBoid`

### push

    public IBoidTrajectory push(IVecI f)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IBoid`

### push

    public IBoidTrajectory push(double fx,
                                double fy,
                                double fz)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IBoid`

### pull

    public IBoidTrajectory pull(IVecI f)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IBoid`

### pull

    public IBoidTrajectory pull(double fx,
                                double fy,
                                double fz)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IBoid`

### addForce

    public IBoidTrajectory addForce(IVecI f)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IBoid`

### addForce

    public IBoidTrajectory addForce(double fx,
                                    double fy,
                                    double fz)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IBoid`

### reset

    public IBoidTrajectory reset()

  Description copied from interface: `IParticleI`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`
  Overrides:
    `reset` in class `IBoid`

### resetForce

    public IBoidTrajectory resetForce()

  Description copied from interface: `IParticleI`
  alias of reset

  Specified by:
    `resetForce` in interface `IParticleI`
  Overrides:
    `resetForce` in class `IBoid`

### attach

    public IBoidTrajectory attach(IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IBoid`
  Parameters:
    `geometries` - one or more geometry objects. object's center is moved to the agent's location.

### attach

    public IBoidTrajectory attach(IVecI geometryOrigin,
                                  IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IBoid`
  Parameters:
    `geometryOrigin` - origin of geometry object which is moved to the agent's location.
    `geometries` - one or more geometry objects.

### attach

    public IBoidTrajectory attach(IVecI geometryOrigin,
                                  IVecI geometryOrientation,
                                  IGeometry... geometries)

  attach geometry object to agent to track its location.

  Overrides:
    `attach` in class `IBoid`
  Parameters:
    `geometryOrigin` - origin of geometry object which is moved to the agent's location.
    `geometryOrientation` - original orientation of geometry which is matched with particle's velocity direction; if its's null, orientatin matching is disabled.
    `geometries` - one or more geometry objects.

### x

    public IBoidTrajectory x(double vx)

  methods of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IBoid`

### y

    public IBoidTrajectory y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IBoid`

### z

    public IBoidTrajectory z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IBoid`

### x

    public IBoidTrajectory x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IBoid`

### y

    public IBoidTrajectory y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IBoid`

### z

    public IBoidTrajectory z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IBoid`

### dup

    public IBoidTrajectory dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IBoid`

### set

    public IBoidTrajectory set(IVecI v)

  Specified by:
    `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IBoid`

### set

    public IBoidTrajectory set(double x,
                               double y,
                               double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IBoid`

### set

    public IBoidTrajectory set(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IBoid`

### add

    public IBoidTrajectory add(double x,
                               double y,
                               double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### add

    public IBoidTrajectory add(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### add

    public IBoidTrajectory add(IVecI v)

  Specified by:
    `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### sub

    public IBoidTrajectory sub(double x,
                               double y,
                               double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IBoid`

### sub

    public IBoidTrajectory sub(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IBoid`

### sub

    public IBoidTrajectory sub(IVecI v)

  Specified by:
    `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IBoid`

### mul

    public IBoidTrajectory mul(IDoubleI v)

  Specified by:
    `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IBoid`

### mul

    public IBoidTrajectory mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IBoid`

### div

    public IBoidTrajectory div(IDoubleI v)

  Specified by:
    `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IBoid`

### div

    public IBoidTrajectory div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IBoid`

### neg

    public IBoidTrajectory neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IBoid`

### rev

    public IBoidTrajectory rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IBoid`

### flip

    public IBoidTrajectory flip()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IBoid`

### zero

    public IBoidTrajectory zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IBoid`

### add

    public IBoidTrajectory add(IVecI v,
                               double f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### add

    public IBoidTrajectory add(IVecI v,
                               IDoubleI f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### add

    public IBoidTrajectory add(double f,
                               IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### add

    public IBoidTrajectory add(IDoubleI f,
                               IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IBoid`

### len

    public IBoidTrajectory len(IDoubleI l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IBoid`

### len

    public IBoidTrajectory len(double l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IBoid`

### unit

    public IBoidTrajectory unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IBoid`

### rot

    public IBoidTrajectory rot(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI axis,
                               IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI axis,
                               double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(double axisX,
                               double axisY,
                               double axisZ,
                               double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI center,
                               IVecI axis,
                               double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI center,
                               IVecI axis,
                               IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(double centerX,
                               double centerY,
                               double centerZ,
                               double axisX,
                               double axisY,
                               double axisZ,
                               double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI axis,
                               IVecI destDir)

  Description copied from interface: `IVecI`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot

    public IBoidTrajectory rot(IVecI center,
                               IVecI axis,
                               IVecI destPt)

  Description copied from interface: `IVecI`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(IDoubleI angle)

  Description copied from class: `IBoid`
  rotation on xy-plane; alias of rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(double angle)

  Description copied from class: `IBoid`
  rotation on xy-plane; alias of rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(IVecI center,
                                double angle)

  Description copied from class: `IBoid`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(IVecI center,
                                IDoubleI angle)

  Description copied from class: `IBoid`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(double centerX,
                                double centerY,
                                double angle)

  Description copied from class: `IBoid`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(IVecI destDir)

  Description copied from class: `IBoid`
  rotation on xy-plane towards destDir

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### rot2

    public IBoidTrajectory rot2(IVecI center,
                                IVecI destPt)

  Description copied from class: `IBoid`
  rotation on xy-plane towards destPt

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IBoid`

### scale

    public IBoidTrajectory scale(IDoubleI f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IBoid`

### scale

    public IBoidTrajectory scale(double f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IBoid`

### scale

    public IBoidTrajectory scale(IVecI center,
                                 IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IBoid`

### scale

    public IBoidTrajectory scale(IVecI center,
                                 double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IBoid`

### scale

    public IBoidTrajectory scale(double centerX,
                                 double centerY,
                                 double centerZ,
                                 double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(IVecI axis,
                                   double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(IVecI axis,
                                   IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(double axisX,
                                   double axisY,
                                   double axisZ,
                                   double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(IVecI center,
                                   IVecI axis,
                                   double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(IVecI center,
                                   IVecI axis,
                                   IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### scale1d

    public IBoidTrajectory scale1d(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double axisX,
                                   double axisY,
                                   double axisZ,
                                   double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IBoid`

### ref

    public IBoidTrajectory ref(IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IBoid`

### ref

    public IBoidTrajectory ref(double planeX,
                               double planeY,
                               double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IBoid`

### ref

    public IBoidTrajectory ref(IVecI center,
                               IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IBoid`

### ref

    public IBoidTrajectory ref(double centerX,
                               double centerY,
                               double centerZ,
                               double planeX,
                               double planeY,
                               double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IBoid`

### mirror

    public IBoidTrajectory mirror(IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IBoid`

### mirror

    public IBoidTrajectory mirror(double planeX,
                                  double planeY,
                                  double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IBoid`

### mirror

    public IBoidTrajectory mirror(IVecI center,
                                  IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IBoid`

### mirror

    public IBoidTrajectory mirror(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double planeX,
                                  double planeY,
                                  double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IBoid`

### shear

    public IBoidTrajectory shear(double sxy,
                                 double syx,
                                 double syz,
                                 double szy,
                                 double szx,
                                 double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IBoid`

### shear

    public IBoidTrajectory shear(IDoubleI sxy,
                                 IDoubleI syx,
                                 IDoubleI syz,
                                 IDoubleI szy,
                                 IDoubleI szx,
                                 IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IBoid`

### shear

    public IBoidTrajectory shear(IVecI center,
                                 double sxy,
                                 double syx,
                                 double syz,
                                 double szy,
                                 double szx,
                                 double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IBoid`

### shear

    public IBoidTrajectory shear(IVecI center,
                                 IDoubleI sxy,
                                 IDoubleI syx,
                                 IDoubleI syz,
                                 IDoubleI szy,
                                 IDoubleI szx,
                                 IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IBoid`

### shearXY

    public IBoidTrajectory shearXY(double sxy,
                                   double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IBoid`

### shearXY

    public IBoidTrajectory shearXY(IDoubleI sxy,
                                   IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IBoid`

### shearXY

    public IBoidTrajectory shearXY(IVecI center,
                                   double sxy,
                                   double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IBoid`

### shearXY

    public IBoidTrajectory shearXY(IVecI center,
                                   IDoubleI sxy,
                                   IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IBoid`

### shearYZ

    public IBoidTrajectory shearYZ(double syz,
                                   double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IBoid`

### shearYZ

    public IBoidTrajectory shearYZ(IDoubleI syz,
                                   IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IBoid`

### shearYZ

    public IBoidTrajectory shearYZ(IVecI center,
                                   double syz,
                                   double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IBoid`

### shearYZ

    public IBoidTrajectory shearYZ(IVecI center,
                                   IDoubleI syz,
                                   IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IBoid`

### shearZX

    public IBoidTrajectory shearZX(double szx,
                                   double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IBoid`

### shearZX

    public IBoidTrajectory shearZX(IDoubleI szx,
                                   IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IBoid`

### shearZX

    public IBoidTrajectory shearZX(IVecI center,
                                   double szx,
                                   double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IBoid`

### shearZX

    public IBoidTrajectory shearZX(IVecI center,
                                   IDoubleI szx,
                                   IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IBoid`

### translate

    public IBoidTrajectory translate(double x,
                                     double y,
                                     double z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IBoid`

### translate

    public IBoidTrajectory translate(IDoubleI x,
                                     IDoubleI y,
                                     IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IBoid`

### translate

    public IBoidTrajectory translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IBoid`

### transform

    public IBoidTrajectory transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IBoid`

### transform

    public IBoidTrajectory transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IBoid`

### transform

    public IBoidTrajectory transform(IVecI xvec,
                                     IVecI yvec,
                                     IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IBoid`

### transform

    public IBoidTrajectory transform(IVecI xvec,
                                     IVecI yvec,
                                     IVecI zvec,
                                     IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IBoid`

### mv

    public IBoidTrajectory mv(double x,
                              double y,
                              double z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IBoid`

### mv

    public IBoidTrajectory mv(IDoubleI x,
                              IDoubleI y,
                              IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IBoid`

### mv

    public IBoidTrajectory mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IBoid`

### cp

    public IBoidTrajectory cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IBoid`

### cp

    public IBoidTrajectory cp(double x,
                              double y,
                              double z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IBoid`

### cp

    public IBoidTrajectory cp(IDoubleI x,
                              IDoubleI y,
                              IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IBoid`

### cp

    public IBoidTrajectory cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IBoid`

### setSize

    public IBoidTrajectory setSize(double sz)

  methods of IPoint

  Overrides:
    `setSize` in class `IBoid`

### size

    public IBoidTrajectory size(double sz)

  Overrides:
    `size` in class `IBoid`

### name

    public IBoidTrajectory name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IBoid`

### layer

    public IBoidTrajectory layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IBoid`

### show

    public IBoidTrajectory show()

  Overrides:
    `show` in class `IBoid`

### hide

    public IBoidTrajectory hide()

  Overrides:
    `hide` in class `IBoid`

### showPoint

    public IBoidTrajectory showPoint()

  Overrides:
    `showPoint` in class `IBoid`

### hidePoint

    public IBoidTrajectory hidePoint()

  Overrides:
    `hidePoint` in class `IBoid`

### showGeometry

    public IBoidTrajectory showGeometry()

  Description copied from class: `IPointAgent`
  show attached geometry

  Overrides:
    `showGeometry` in class `IBoid`

### hideGeometry

    public IBoidTrajectory hideGeometry()

  Description copied from class: `IPointAgent`
  hide attached geometry

  Overrides:
    `hideGeometry` in class `IBoid`

### showTrajectory

    public IBoidTrajectory showTrajectory()

### hideTrajectory

    public IBoidTrajectory hideTrajectory()

### del

    public void del()

  Description copied from class: `IAgent`
  delete agent and stop it by removing it from dynamics server

  Overrides:
    `del` in class `IPointAgent`

### del

    public void del(boolean deleteTrajectory)

  Description copied from class: `IPointAgent`
  stop agent with option of deleting/keeping the geometry the agent owns

  Overrides:
    `del` in class `IPointAgent`

### clr

    public IBoidTrajectory clr(IColor c)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(IColor c,
                               int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(IColor c,
                               float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(IColor c,
                               double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(int gray)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(float fgray)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(double dgray)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(int gray,
                               int alpha)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(float fgray,
                               float falpha)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(double dgray,
                               double dalpha)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(int r,
                               int g,
                               int b)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(float fr,
                               float fg,
                               float fb)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(double dr,
                               double dg,
                               double db)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(int r,
                               int g,
                               int b,
                               int a)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(float fr,
                               float fg,
                               float fb,
                               float fa)

  Overrides:
    `clr` in class `IBoid`

### clr

    public IBoidTrajectory clr(double dr,
                               double dg,
                               double db,
                               double da)

  Overrides:
    `clr` in class `IBoid`

### hsb

    public IBoidTrajectory hsb(float h,
                               float s,
                               float b,
                               float a)

  Overrides:
    `hsb` in class `IBoid`

### hsb

    public IBoidTrajectory hsb(double h,
                               double s,
                               double b,
                               double a)

  Overrides:
    `hsb` in class `IBoid`

### hsb

    public IBoidTrajectory hsb(float h,
                               float s,
                               float b)

  Overrides:
    `hsb` in class `IBoid`

### hsb

    public IBoidTrajectory hsb(double h,
                               double s,
                               double b)

  Overrides:
    `hsb` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(IColor c)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(IColor c,
                                    int alpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(IColor c,
                                    float alpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(IColor c,
                                    double alpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(int gray)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(float fgray)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(double dgray)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(int gray,
                                    int alpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(float fgray,
                                    float falpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(double dgray,
                                    double dalpha)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(int r,
                                    int g,
                                    int b)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(float fr,
                                    float fg,
                                    float fb)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(double dr,
                                    double dg,
                                    double db)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(int r,
                                    int g,
                                    int b,
                                    int a)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(float fr,
                                    float fg,
                                    float fb,
                                    float fa)

  Overrides:
    `setColor` in class `IBoid`

### setColor

    public IBoidTrajectory setColor(double dr,
                                    double dg,
                                    double db,
                                    double da)

  Overrides:
    `setColor` in class `IBoid`

### setHSBColor

    public IBoidTrajectory setHSBColor(float h,
                                       float s,
                                       float b,
                                       float a)

  Overrides:
    `setHSBColor` in class `IBoid`

### setHSBColor

    public IBoidTrajectory setHSBColor(double h,
                                       double s,
                                       double b,
                                       double a)

  Overrides:
    `setHSBColor` in class `IBoid`

### setHSBColor

    public IBoidTrajectory setHSBColor(float h,
                                       float s,
                                       float b)

  Overrides:
    `setHSBColor` in class `IBoid`

### setHSBColor

    public IBoidTrajectory setHSBColor(double h,
                                       double s,
                                       double b)

  Overrides:
    `setHSBColor` in class `IBoid`

### weight

    public IBoidTrajectory weight(double w)

  Overrides:
    `weight` in class `IBoid`

### weight

    public IBoidTrajectory weight(float w)

  Overrides:
    `weight` in class `IBoid`

### target

    public IBoidTrajectory target(IObject targetObj)

  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Specified by:
    `target` in interface `IParticleI`
  Overrides:
    `target` in class `IParticle`

### removeTarget

    public IBoidTrajectory removeTarget(int i)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

### removeTarget

    public IBoidTrajectory removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD